Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class ElementTags

    java.lang.Object
      com.lowagie.text.ElementTags

    public class ElementTags

extends Object

A class that contains all the possible tagnames and their attributes.

Field Summary
`static String` | `ABSOLUTEX` attribute of the image tag
`static String` | `ABSOLUTEY` attribute of the image tag
`static String` | `ALIGN` attribute of paragraph/image/table tag
`static String` | `ALIGN_BASELINE` the possible value of an alignment attribute
`static String` | `ALIGN_BOTTOM` the possible value of an alignment attribute
`static String` | `ALIGN_CENTER` the possible value of an alignment attribute
`static String` | `ALIGN_INDENTATION_ITEMS` a possible list attribute
`static String` | `ALIGN_JUSTIFIED` the possible value of an alignment attribute
`static String` | `ALIGN_JUSTIFIED_ALL` the possible value of an alignment attribute
`static String` | `ALIGN_LEFT` the possible value of an alignment attribute
`static String` | `ALIGN_MIDDLE` the possible value of an alignment attribute
`static String` | `ALIGN_RIGHT` the possible value of an alignment attribute
`static String` | `ALIGN_TOP` the possible value of an alignment attribute
`static String` | `ALT` attribute of the image tag
`static String` | `ANCHOR` the anchor tag
`static String` | `ANNOTATION` the annotation tag
`static String` | `APPLICATION` attribute of the annotation tag
`static String` | `AUTHOR` attribute of the root tag
`static String` | `AUTO_INDENT_ITEMS` a possible list attribute
`static String` | `BACKGROUNDCOLOR` attribute of the table/cell tag
`static String` | `BGBLUE` attribute of the table/cell tag
`static String` | `BGGREEN` attribute of the table/cell tag
`static String` | `BGRED` attribute of the table/cell tag
`static String` | `BLUE` attribute of the chunk/table/cell tag
`static String` | `BORDERCOLOR` attribute of the table/cell tag
`static String` | `BORDERWIDTH` attribute of the table/cell tag
`static String` | `BOTTOM` attribute of the table/cell tag
`static String` | `CELL` the cell tag
`static String` | `CELLPADDING` attribute of the table tag
`static String` | `CELLSFITPAGE` attribute of the table tag
`static String` | `CELLSPACING` attribute of the table tag
`static String` | `CHAPTER` the chapter tag
`static String` | `CHUNK` the chunk tag
`static String` | `COLOR` attribute of the chunk/table/cell tag
`static String` | `COLSPAN` attribute of the cell tag
`static String` | `COLUMNS` attribute of the table tag
`static String` | `CONTENT` attribute of the annotation tag
`static String` | `CONVERT2PDFP` attribute of the table tag
`static String` | `CREATIONDATE` attribute of the root tag
`static String` | `DEFAULT` the possible value of an alignment attribute
`static String` | `DEFAULTDIR` attribute of the annotation tag
`static String` | `DEPTH` attribute of section/chapter tag
`static String` | `DESTINATION` attribute of the annotation tag
`static String` | `EMBEDDED` attribute of the chunk tag
`static String` | `ENCODING` attribute of the chunk tag
`static String` | `ENTITY` the chunk tag
`static String` | `FILE` attribute of the annotation tag
`static String` | `FIRST` attribute of list tag
`static String` | `FONT` the possible value of an alignment attribute
`static String` | `GENERICTAG` attribute of the chunk tag
`static String` | `GRAYFILL` attribute of the table/cell tag
`static String` | `GREEN` attribute of the chunk/table/cell tag
`static String` | `HEADER` attribute of the cell tag
`static String` | `HORIZONTALALIGN` attribute of the cell tag
`static String` | `HORIZONTALRULE` the possible value of a tag
`static String` | `ID` the chunk tag
`static String` | `IGNORE` the chunk tag
`static String` | `IMAGE` the image tag
`static String` | `INDENT` attribute of section/chapter tag
`static String` | `INDENTATIONLEFT` attribute of list tag
`static String` | `INDENTATIONRIGHT` attribute of list tag
`static String` | `ITEXT` the root tag.
`static String` | `KEEPTOGETHER` attribute of paragraph
`static String` | `KEYWORDS` attribute of the root tag
`static String` | `LASTHEADERROW` attribute of the table tag
`static String` | `LEADING` attribute of phrase/paragraph/cell tag
`static String` | `LEFT` attribute of chapter/section/paragraph/table/cell tag
`static String` | `LETTERED` attribute of the list tag
`static String` | `LIST` the list tag
`static String` | `LISTITEM` the listitem tag
`static String` | `LISTSYMBOL` attribute of list tag
`static String` | `LLX` attribute of the annotation tag
`static String` | `LLY` attribute of the annotation tag
`static String` | `LOCALDESTINATION` attribute of the chunk tag
`static String` | `LOCALGOTO` attribute of the chunk tag
`static String` | `LOWERCASE` a possible list attribute
`static String` | `NAME` attribute of anchor tag
`static String` | `NAMED` attribute of the annotation tag
`static String` | `NEWLINE` the newpage tag
`static String` | `NEWPAGE` the newpage tag
`static String` | `NOWRAP` attribute of the cell tag
`static String` | `NUMBER` attribute of section/chapter tag
`static String` | `NUMBERDEPTH` attribute of section/chapter tag
`static String` | `NUMBERED` attribute of list tag
`static String` | `OFFSET` attribute of the table tag
`static String` | `OPERATION` attribute of the annotation tag
`static String` | `ORIENTATION` the possible value of a tag
`static String` | `PAGE` attribute of the annotation tag
`static String` | `PAGE_SIZE` the possible value of a tag
`static String` | `PARAGRAPH` the paragraph tag
`static String` | `PARAMETERS` attribute of the annotation tag
`static String` | `PHRASE` the phrase tag
`static String` | `PLAINHEIGHT` attribute of the image tag
`static String` | `PLAINWIDTH` attribute of the image tag
`static String` | `PRODUCER` attribute of the root tag
`static String` | `RED` attribute of the chunk/table/cell tag
`static String` | `REFERENCE` attribute of anchor tag
`static String` | `REMOTEGOTO` attribute of the chunk tag
`static String` | `RIGHT` attribute of chapter/section/paragraph/table/cell tag
`static String` | `ROTATION` attribute of the image tag
`static String` | `ROW` the cell tag
`static String` | `ROWSPAN` attribute of the cell tag
`static String` | `SCALEDHEIGHT` attribute of the image tag
`static String` | `SCALEDWIDTH` attribute of the image tag
`static String` | `SECTION` the section tag
`static String` | `SIZE` the possible value of an alignment attribute
`static String` | `STYLE` the possible value of an alignment attribute
`static String` | `SUBJECT` attribute of the root tag
`static String` | `SUBSUPSCRIPT` attribute of the chunk tag
`static String` | `SYMBOLINDENT` attribute of list tag
`static String` | `TABLE` the table tag
`static String` | `TABLEFITSPAGE` attribute of the table tag
`static String` | `TEXTWRAP` attribute of the image tag
`static String` | `TITLE` attribute of the root and annotation tag (also a special tag within a chapter or section)
`static String` | `TOP` attribute of the table/cell tag
`static String` | `UNDERLYING` attribute of the image tag
`static String` | `UNKNOWN` the possible value of an alignment attribute
`static String` | `URL` attribute of the image and annotation tag
`static String` | `URX` attribute of the annotation tag
`static String` | `URY` attribute of the annotation tag
`static String` | `VERTICALALIGN` attribute of the cell tag
`static String` | `WIDTH` attribute of the table/cell tag
`static String` | `WIDTHS` attribute of the table tag

Constructor Summary
`ElementTags()`

Method Summary
`static int` | `alignmentValue(String alignment)` Translates a String value to an alignment value.
`static String` | `getAlignment(int alignment)` Translates the alignment value to a String value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEXT

    public static final String ITEXT

  the root tag.

  See Also:
    Constant Field Values

### TITLE

    public static final String TITLE

  attribute of the root and annotation tag (also a special tag within a chapter or section)

  See Also:
    Constant Field Values

### SUBJECT

    public static final String SUBJECT

  attribute of the root tag

  See Also:
    Constant Field Values

### KEYWORDS

    public static final String KEYWORDS

  attribute of the root tag

  See Also:
    Constant Field Values

### AUTHOR

    public static final String AUTHOR

  attribute of the root tag

  See Also:
    Constant Field Values

### CREATIONDATE

    public static final String CREATIONDATE

  attribute of the root tag

  See Also:
    Constant Field Values

### PRODUCER

    public static final String PRODUCER

  attribute of the root tag

  See Also:
    Constant Field Values

### CHAPTER

    public static final String CHAPTER

  the chapter tag

  See Also:
    Constant Field Values

### SECTION

    public static final String SECTION

  the section tag

  See Also:
    Constant Field Values

### NUMBERDEPTH

    public static final String NUMBERDEPTH

  attribute of section/chapter tag

  See Also:
    Constant Field Values

### DEPTH

    public static final String DEPTH

  attribute of section/chapter tag

  See Also:
    Constant Field Values

### NUMBER

    public static final String NUMBER

  attribute of section/chapter tag

  See Also:
    Constant Field Values

### INDENT

    public static final String INDENT

  attribute of section/chapter tag

  See Also:
    Constant Field Values

### LEFT

    public static final String LEFT

  attribute of chapter/section/paragraph/table/cell tag

  See Also:
    Constant Field Values

### RIGHT

    public static final String RIGHT

  attribute of chapter/section/paragraph/table/cell tag

  See Also:
    Constant Field Values

### PHRASE

    public static final String PHRASE

  the phrase tag

  See Also:
    Constant Field Values

### ANCHOR

    public static final String ANCHOR

  the anchor tag

  See Also:
    Constant Field Values

### LIST

    public static final String LIST

  the list tag

  See Also:
    Constant Field Values

### LISTITEM

    public static final String LISTITEM

  the listitem tag

  See Also:
    Constant Field Values

### PARAGRAPH

    public static final String PARAGRAPH

  the paragraph tag

  See Also:
    Constant Field Values

### LEADING

    public static final String LEADING

  attribute of phrase/paragraph/cell tag

  See Also:
    Constant Field Values

### ALIGN

    public static final String ALIGN

  attribute of paragraph/image/table tag

  See Also:
    Constant Field Values

### KEEPTOGETHER

    public static final String KEEPTOGETHER

  attribute of paragraph

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  attribute of anchor tag

  See Also:
    Constant Field Values

### REFERENCE

    public static final String REFERENCE

  attribute of anchor tag

  See Also:
    Constant Field Values

### LISTSYMBOL

    public static final String LISTSYMBOL

  attribute of list tag

  See Also:
    Constant Field Values

### NUMBERED

    public static final String NUMBERED

  attribute of list tag

  See Also:
    Constant Field Values

### LETTERED

    public static final String LETTERED

  attribute of the list tag

  See Also:
    Constant Field Values

### FIRST

    public static final String FIRST

  attribute of list tag

  See Also:
    Constant Field Values

### SYMBOLINDENT

    public static final String SYMBOLINDENT

  attribute of list tag

  See Also:
    Constant Field Values

### INDENTATIONLEFT

    public static final String INDENTATIONLEFT

  attribute of list tag

  See Also:
    Constant Field Values

### INDENTATIONRIGHT

    public static final String INDENTATIONRIGHT

  attribute of list tag

  See Also:
    Constant Field Values

### IGNORE

    public static final String IGNORE

  the chunk tag

  See Also:
    Constant Field Values

### ENTITY

    public static final String ENTITY

  the chunk tag

  See Also:
    Constant Field Values

### ID

    public static final String ID

  the chunk tag

  See Also:
    Constant Field Values

### CHUNK

    public static final String CHUNK

  the chunk tag

  See Also:
    Constant Field Values

### ENCODING

    public static final String ENCODING

  attribute of the chunk tag

  See Also:
    Constant Field Values

### EMBEDDED

    public static final String EMBEDDED

  attribute of the chunk tag

  See Also:
    Constant Field Values

### COLOR

    public static final String COLOR

  attribute of the chunk/table/cell tag

  See Also:
    Constant Field Values

### RED

    public static final String RED

  attribute of the chunk/table/cell tag

  See Also:
    Constant Field Values

### GREEN

    public static final String GREEN

  attribute of the chunk/table/cell tag

  See Also:
    Constant Field Values

### BLUE

    public static final String BLUE

  attribute of the chunk/table/cell tag

  See Also:
    Constant Field Values

### SUBSUPSCRIPT

    public static final String SUBSUPSCRIPT

  attribute of the chunk tag

### LOCALGOTO

    public static final String LOCALGOTO

  attribute of the chunk tag

### REMOTEGOTO

    public static final String REMOTEGOTO

  attribute of the chunk tag

### LOCALDESTINATION

    public static final String LOCALDESTINATION

  attribute of the chunk tag

### GENERICTAG

    public static final String GENERICTAG

  attribute of the chunk tag

### TABLE

    public static final String TABLE

  the table tag

  See Also:
    Constant Field Values

### ROW

    public static final String ROW

  the cell tag

  See Also:
    Constant Field Values

### CELL

    public static final String CELL

  the cell tag

  See Also:
    Constant Field Values

### COLUMNS

    public static final String COLUMNS

  attribute of the table tag

  See Also:
    Constant Field Values

### LASTHEADERROW

    public static final String LASTHEADERROW

  attribute of the table tag

  See Also:
    Constant Field Values

### CELLPADDING

    public static final String CELLPADDING

  attribute of the table tag

  See Also:
    Constant Field Values

### CELLSPACING

    public static final String CELLSPACING

  attribute of the table tag

  See Also:
    Constant Field Values

### OFFSET

    public static final String OFFSET

  attribute of the table tag

  See Also:
    Constant Field Values

### WIDTHS

    public static final String WIDTHS

  attribute of the table tag

  See Also:
    Constant Field Values

### TABLEFITSPAGE

    public static final String TABLEFITSPAGE

  attribute of the table tag

  See Also:
    Constant Field Values

### CELLSFITPAGE

    public static final String CELLSFITPAGE

  attribute of the table tag

  See Also:
    Constant Field Values

### CONVERT2PDFP

    public static final String CONVERT2PDFP

  attribute of the table tag

  See Also:
    Constant Field Values

### HORIZONTALALIGN

    public static final String HORIZONTALALIGN

  attribute of the cell tag

  See Also:
    Constant Field Values

### VERTICALALIGN

    public static final String VERTICALALIGN

  attribute of the cell tag

  See Also:
    Constant Field Values

### COLSPAN

    public static final String COLSPAN

  attribute of the cell tag

  See Also:
    Constant Field Values

### ROWSPAN

    public static final String ROWSPAN

  attribute of the cell tag

  See Also:
    Constant Field Values

### HEADER

    public static final String HEADER

  attribute of the cell tag

  See Also:
    Constant Field Values

### NOWRAP

    public static final String NOWRAP

  attribute of the cell tag

  See Also:
    Constant Field Values

### BORDERWIDTH

    public static final String BORDERWIDTH

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### TOP

    public static final String TOP

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BOTTOM

    public static final String BOTTOM

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### WIDTH

    public static final String WIDTH

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BORDERCOLOR

    public static final String BORDERCOLOR

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BACKGROUNDCOLOR

    public static final String BACKGROUNDCOLOR

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BGRED

    public static final String BGRED

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BGGREEN

    public static final String BGGREEN

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BGBLUE

    public static final String BGBLUE

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### GRAYFILL

    public static final String GRAYFILL

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### IMAGE

    public static final String IMAGE

  the image tag

  See Also:
    Constant Field Values

### URL

    public static final String URL

  attribute of the image and annotation tag

  See Also:
    Constant Field Values

### UNDERLYING

    public static final String UNDERLYING

  attribute of the image tag

  See Also:
    Constant Field Values

### TEXTWRAP

    public static final String TEXTWRAP

  attribute of the image tag

  See Also:
    Constant Field Values

### ALT

    public static final String ALT

  attribute of the image tag

  See Also:
    Constant Field Values

### ABSOLUTEX

    public static final String ABSOLUTEX

  attribute of the image tag

  See Also:
    Constant Field Values

### ABSOLUTEY

    public static final String ABSOLUTEY

  attribute of the image tag

  See Also:
    Constant Field Values

### PLAINWIDTH

    public static final String PLAINWIDTH

  attribute of the image tag

  See Also:
    Constant Field Values

### PLAINHEIGHT

    public static final String PLAINHEIGHT

  attribute of the image tag

  See Also:
    Constant Field Values

### SCALEDWIDTH

    public static final String SCALEDWIDTH

  attribute of the image tag

  See Also:
    Constant Field Values

### SCALEDHEIGHT

    public static final String SCALEDHEIGHT

  attribute of the image tag

  See Also:
    Constant Field Values

### ROTATION

    public static final String ROTATION

  attribute of the image tag

  See Also:
    Constant Field Values

### NEWPAGE

    public static final String NEWPAGE

  the newpage tag

  See Also:
    Constant Field Values

### NEWLINE

    public static final String NEWLINE

  the newpage tag

  See Also:
    Constant Field Values

### ANNOTATION

    public static final String ANNOTATION

  the annotation tag

  See Also:
    Constant Field Values

### FILE

    public static final String FILE

  attribute of the annotation tag

  See Also:
    Constant Field Values

### DESTINATION

    public static final String DESTINATION

  attribute of the annotation tag

  See Also:
    Constant Field Values

### PAGE

    public static final String PAGE

  attribute of the annotation tag

  See Also:
    Constant Field Values

### NAMED

    public static final String NAMED

  attribute of the annotation tag

  See Also:
    Constant Field Values

### APPLICATION

    public static final String APPLICATION

  attribute of the annotation tag

  See Also:
    Constant Field Values

### PARAMETERS

    public static final String PARAMETERS

  attribute of the annotation tag

  See Also:
    Constant Field Values

### OPERATION

    public static final String OPERATION

  attribute of the annotation tag

  See Also:
    Constant Field Values

### DEFAULTDIR

    public static final String DEFAULTDIR

  attribute of the annotation tag

  See Also:
    Constant Field Values

### LLX

    public static final String LLX

  attribute of the annotation tag

  See Also:
    Constant Field Values

### LLY

    public static final String LLY

  attribute of the annotation tag

  See Also:
    Constant Field Values

### URX

    public static final String URX

  attribute of the annotation tag

  See Also:
    Constant Field Values

### URY

    public static final String URY

  attribute of the annotation tag

  See Also:
    Constant Field Values

### CONTENT

    public static final String CONTENT

  attribute of the annotation tag

  See Also:
    Constant Field Values

### ALIGN_LEFT

    public static final String ALIGN_LEFT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_CENTER

    public static final String ALIGN_CENTER

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_RIGHT

    public static final String ALIGN_RIGHT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_JUSTIFIED

    public static final String ALIGN_JUSTIFIED

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_JUSTIFIED_ALL

    public static final String ALIGN_JUSTIFIED_ALL

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_TOP

    public static final String ALIGN_TOP

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_MIDDLE

    public static final String ALIGN_MIDDLE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_BOTTOM

    public static final String ALIGN_BOTTOM

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_BASELINE

    public static final String ALIGN_BASELINE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### UNKNOWN

    public static final String UNKNOWN

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### FONT

    public static final String FONT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### SIZE

    public static final String SIZE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### STYLE

    public static final String STYLE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### HORIZONTALRULE

    public static final String HORIZONTALRULE

  the possible value of a tag

  See Also:
    Constant Field Values

### PAGE_SIZE

    public static final String PAGE_SIZE

  the possible value of a tag

  See Also:
    Constant Field Values

### ORIENTATION

    public static final String ORIENTATION

  the possible value of a tag

  See Also:
    Constant Field Values

### ALIGN_INDENTATION_ITEMS

    public static final String ALIGN_INDENTATION_ITEMS

  a possible list attribute

  See Also:
    Constant Field Values

### AUTO_INDENT_ITEMS

    public static final String AUTO_INDENT_ITEMS

  a possible list attribute

  See Also:
    Constant Field Values

### LOWERCASE

    public static final String LOWERCASE

  a possible list attribute

  See Also:
    Constant Field Values

Constructor Detail

### ElementTags

    public ElementTags()

Method Detail

### getAlignment

    public static String getAlignment(int alignment)

  Translates the alignment value to a String value.

  Parameters:
    `alignment` - the alignment value
  Returns:
    the translated value

### alignmentValue

    public static int alignmentValue(String alignment)

  Translates a String value to an alignment value. (written by Norman Richards, integrated into iText by Bruno)

  Parameters:
    `alignment` - a String (one of the ALIGN_ constants of this class)
  Returns:
    an alignment value (one of the ALIGN_ constants of the Element interface)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD